package ru.ezsk.demo.graphLayout;

import java.applet.AudioClip;
import javax.swing.JApplet;

/**
 * @version $Revision: 58 $ $Author: beholder $
 *          $Date: 2005-10-29 18:28:02 +0400 (Сб, 29 окт 2005) $
 */
public class GraphApplet extends JApplet implements Context
{
    //=========================================================== Class Fields

    private static final String[][] PARAMETER_INFO = new String[][] {
        { "edges", "delimited string",
          "A comma-delimited list of all the edges.  " +
          "It takes the form of " +
          "'C-N1,C-N2,C-N3,C-NX,N1-N2/M12,N2-N3/M23,N3-NX/M3X,...' " +
          "where C is the name of center node (see 'center' parameter) " +
          "and NX is a node attached to the center node.  " +
          "For the edges connecting nodes to each other " +
          "(and not to the center node) you may (optionally) specify " +
          "a length MXY separated from the edge name by a forward slash." },
        { "center", "string", "The name of the center node." }
    };

    //================================================================= Fields

    private Application application;

    //================================================================ Methods

    public void init() {
        application = new Application(this);
        application.init();
    }

    public void destroy() {
        application.destroy();
        application = null;
    }

    public void start() {
        application.start();
    }

    public void stop() {
        application.stop();
    }

    public String getAppletInfo() {
        return "Title: GraphLayout\nAuthor: <unknown>";
    }

    public String[][] getParameterInfo() {
        return PARAMETER_INFO;
    }

    public AudioClip getAudioClip(String name) {
        return getAudioClip(getCodeBase(), name);
    }
}
