package ru.ezsk.demo.graphLayout;

import javax.swing.border.Border;
import javax.swing.border.CompoundBorder;

/**
 * @version $Revision$ $Author$
 *          $Date$
 */
public class XBorders
{
    public static Border compound(Border outer, Border inner) {
        return new CompoundBorder(outer, inner);
    }

    public static Border compound(Border outer, Border middle, Border inner) {
        return new CompoundBorder(outer, new CompoundBorder(middle, inner));
    }

    public static Border compound(Border... borders) {
        if (borders.length == 0) {
            throw new IllegalArgumentException("Empty borders array");
        }
        Border result = borders[borders.length - 1];
        for (int i = borders.length - 2; i >= 0; i--) {
            final Border outer = borders[i];
            result = new CompoundBorder(outer, result);
        }
        return result;
    }

    private XBorders() {
    }
}
